For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact Sales
DocsAPI reference
DocsAPI reference
  • API Reference
        • GETGet contract
        • GETGet all contracts
        • POSTCreate contract
        • DELDelete contract
        • PATCHUpdate contract
Contact Sales
LogoLogo
API ReferenceContractsV2

Get contract

Beta
GET
/api/contracts/v2/:contract_id
GET
/api/contracts/v2/:contract_id
$curl https://api.joincandidhealth.com/api/contracts/v2/d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32 \
> -H "Authorization: Bearer <token>"
1{
2 "commercial_insurance_types": {
3 "type": "allApply"
4 },
5 "contract_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
6 "contracting_provider": {
7 "employment_status": "ACTIVE",
8 "is_billing": true,
9 "is_rendering": true,
10 "license_type": "MD",
11 "npi": "npi",
12 "organization_provider_id": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
13 "provider_type": "INDIVIDUAL",
14 "addresses": [
15 {
16 "address": {
17 "address1": "address1",
18 "city": "city",
19 "state": "AA",
20 "zip_code": "zip_code",
21 "zip_plus_four_code": "zip_plus_four_code",
22 "address2": "address2"
23 },
24 "address_type": "DEFAULT"
25 },
26 {
27 "address": {
28 "address1": "address1",
29 "city": "city",
30 "state": "AA",
31 "zip_code": "zip_code",
32 "zip_plus_four_code": "zip_plus_four_code",
33 "address2": "address2"
34 },
35 "address_type": "DEFAULT"
36 }
37 ],
38 "employment_start_date": "employment_start_date",
39 "employment_termination_date": "employment_termination_date",
40 "first_name": "first_name",
41 "last_name": "last_name",
42 "medicaid_provider_id": "medicaid_provider_id",
43 "organization_name": "organization_name",
44 "ptan": "ptan",
45 "tax_id": "tax_id",
46 "taxonomy_code": "taxonomy_code"
47 },
48 "effective_date": "effective_date",
49 "medicaid_insurance_types": {
50 "type": "allApply"
51 },
52 "medicare_insurance_types": {
53 "type": "allApply"
54 },
55 "payer": {
56 "payer_uuid": "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32",
57 "payer_id": "payer_id",
58 "payer_name": "payer_name",
59 "availity_payer_name": "availity_payer_name",
60 "availity_claims_payer_id": "availity_claims_payer_id",
61 "availity_eligibility_id": "availity_eligibility_id",
62 "availity_remittance_payer_id": "availity_remittance_payer_id",
63 "street_address": {
64 "address1": "address1",
65 "city": "city",
66 "state": "AA",
67 "zip_code": "zip_code",
68 "zip_plus_four_code": "zip_plus_four_code",
69 "address2": "address2"
70 }
71 },
72 "provider_count": 1,
73 "regions": {
74 "type": "states",
75 "states": [
76 "AA",
77 "AA"
78 ]
79 },
80 "rendering_provider_ids": [
81 "d5e9c84f-c2b2-4bf4-b4b0-7ffd7a9ffc32"
82 ],
83 "authorized_signatory": {
84 "first_name": "first_name",
85 "last_name": "last_name",
86 "title": "title",
87 "email": "email",
88 "phone": "phone",
89 "fax": "fax"
90 },
91 "contract_status": "pending",
92 "expiration_date": "expiration_date"
93}
This API provides access to Professional Contracts. For Professional and Institutional Contracts use Contracts V3.
Was this page helpful?
Previous

Get all contracts

Next
Built with

Authentication

AuthorizationBearer

OAuth authentication of the form <token>.

Path parameters

contract_idUUIDRequired

Query parameters

organization_idUUIDOptional

Organization context for cross-org access. If not provided, defaults to the requesting user’s organization.

Response

This endpoint returns an object.
commercial_insurance_typesobject
The commercial plan insurance types this contract applies.
contract_idUUID
contracting_providerobject
The provider under contract
effective_datestring
The starting day upon which the contract is effective
medicaid_insurance_typesobject
The Medicaid plan insurance types this contract applies.
medicare_insurance_typesobject
The Medicare plan insurance types this contract applies.
payerobject
The insurance company under contract
provider_countinteger
The number of linked providers who can render medical services under this contract
regionsobject

The state(s) to which the contract’s coverage extends. It may also be set to “national” for the entirety of the US.

rendering_provider_idsset of UUIDs
The providers who can render medical services under the contract
authorized_signatoryobject
contract_statusenum
Allowed values:
expiration_datestring
An optional end day upon which the contract expires

Errors

404
Entity Not Found Error